const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    if *((edi_global_2d_to_2d_local - 100)) == 0:;
        # 0x40;
        v8_6b_pre_2d_phi = stack_var__2d_28;
        v7_5f_pre_2d_phi = v1_45;
        stack_var__2d_12_0 = v1_45;
    else:;
        # 0x51;
        v8_6b_pre_2d_phi = v1_45;
        v7_5f_pre_2d_phi = stack_var__2d_28;
        stack_var__2d_12_0 = stack_var__2d_28;
    v4_73 = tmp271 * tmp271 + v8_6b_pre_2d_phi * v8_6b_pre_2d_phi * *((edi_global_2d_to_2d_local - 84)) # bp+73;
    v4_75 = v7_5f_pre_2d_phi * v7_5f_pre_2d_phi + v4_73 # bp+75;
    v7_7e = sqrtl(fabsl(v4_75 - *((edi_global_2d_to_2d_local - 92)))) - *((edi_global_2d_to_2d_local - 72));
    st7_global_2d_to_2d_local = v7_7e # st7;
    if *((edi_global_2d_to_2d_local - 96)) != 0:;
        # 0x5f;
        v4_95_pre_2d_phi = edi_global_2d_to_2d_local - 16;
    else:;
        v2_8a = fabsl(v7_7e);
        v4_8c = edi_global_2d_to_2d_local - 16;
        st7_global_2d_to_2d_local = v2_8a - *v4_8c;
        v4_95_pre_2d_phi = v4_8c;
    tmp276 = fabs(tmp271);
    __asm_wait();
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 256 == 0:;
        # 0xa5;
        st7_global_2d_to_2d_local = tmp276 - *v4_95_pre_2d_phi;
    # 0xa7;
    fabs(stack_var__2d_12_0);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v0_c1 = __asm_wait();
    v1_c2 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0xd4;
        v1_d7 = st7_global_2d_to_2d_local / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_d7 = st7_global_2d_to_2d_local;
    # 0xd7;
    *((esi_global_2d_to_2d_local - 32)) = v1_d7;
    return v0_c1 & -0x10000 | v1_c2 & -0xff01 | v1_c2 / 2 & 0x7f00;


	}